Subject: Re: [RFC PATCH 00/17] virtual-bus

From: Avi Kivity <[email-masked]>
Date: Thu, 02 Apr 2009 18:57:38 +0300

Herbert Xu wrote:
> On Thu, Apr 02, 2009 at 06:00:17PM +0300, Avi Kivity wrote:
>   
>> Good point - if we rely on having excess cores in the host, large guest  
>> scalability will drop.
>>     
>
> Going back to TX mitigation, I wonder if we could avoid it altogether
> by having a "wakeup" mechanism that does not involve a vmexit.  We
> have two cases:
>
> 1) UP, or rather guest runs on the same core/hyperthread as the
> backend.  This is the easy one, the guest simply sets a marker
> in shared memory and keeps going until its time is up.  Then the
> backend takes over, and uses a marker for notification too.
>
> The markers need to be interpreted by the scheduler so that it
> knows the guest/backend is runnable, respectively.
>   

Let's look at this first.

What if the guest sends N packets, then does some expensive computation 
(say the guest scheduler switches from the benchmark process to 
evolution).  So now we have the marker set at packet N, but the host 
will not see it until the guest timeslice is up?

I think I totally misunderstood you.  Can you repeat in smaller words?

-- 
error compiling committee.c: too many arguments to function